package telog

import (
	"server/conf"
	"server/thinkingdata"
)

var Te thinkingdata.TDAnalytics

func init() {
	// 初始化
	// 创建 LogConfig 配置文件

	config := thinkingdata.TDLogConsumerConfig{
		Directory: conf.Server.TELOGDIR, // 事件采集的文件路径
	}
	// 初始化 logConsumer
	consumer, _ := thinkingdata.NewLogConsumerWithConfig(config)
	// 创建 te 对象
	Te = thinkingdata.New(consumer)
}
